.ftp-cruscotto {
    display: flex;
    margin-bottom: var(--tancredi-spazio-medio);
    margin-top: var(--tancredi-spazio-medio);
}
.ftp-selezionati {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
}
@media(min-width:620px) {
	.ftp-selezionati {
		flex-direction: row;
		align-items: center;
	}
}
span.avvolgi-ftp-selezionati {
    display: flex;
}
#ftp-seleziona-tutti {
}

body.cartella-ftp .selez {
    display: flex;
    align-items: center;
        margin-bottom: 0;
}
body.cartella-ftp .selez > span {
    margin-right: 5px;
}
#ftp-seleziona-tutti > span:not(.ftp-stringa-testo) {
    display: flex;
    align-items: center;

}
#ftp-seleziona-tutti:not(.disablato) > span.ftp-stringa-testo {
    cursor: pointer;
}
#ftp-seleziona-tutti > span.ftp-stringa-testo {
    border-bottom: 2px solid transparent;
    position: relative;
    top: 1px;
}
p#ftp-elementi-selezionati {
    margin-top: 10px;
    margin-bottom: 10px;
	margin-left: 10px;
}
@media(min-width:620px) {
	#ftp-elementi-selezionati {
		margin-top: 0;
		margin-bottom: 0;
	}
}
input#ftp-bottone-seleziona-tutti {
    margin-left: 0;
    margin-top: 0;
}
body.cartella-ftp .selez > span.selezionati {
    width: 25px;
    text-align: right;
    overflow: hidden;
}
body.cartella-ftp .selez > span.size {
    margin-right: 20px;
    width: 56px;
    overflow: hidden;
}
body.cartella-ftp .ftp-selezionati > p {
    margin: 0;
    margin-right: 10px;
}
#ftp-pulsante-carrello > span {
    background-color: black;
    color: white;
    padding: 5px 10px;
}
body.cartella-ftp #ftp-pulsante-carrello {
    pointer-events: none;
    opacity: .5;
    transition: opacity 1s linear;
    -webkit-transition: opacity 1s linear;
}
.cartella-ftp-carrello {
    flex: 1;
    display: flex;
    justify-content: flex-end;
    position: relative;
    cursor: pointer;
    align-items: center;
}
@media(min-width:620px) {
	.cartella-ftp-carrello {
		flex: 0;
	}
}
body.cartella-ftp .ftp-icona-carrello {
    background-repeat: no-repeat;
    background-position: center center;
    background-image: url(img/shop_chart.png);
    width: 30px;
    height: 25px;
    display: block;
    right: 10px;
    position: relative;
}
span#ftp-label_carrello {
    background-color: black;
    color: white;
    position: absolute;
    border-radius: 3.6em;
    width: 1.8em;
    height: 1.8em;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    font-weight: bolder;
    right: 0;
}
ul.ul-ftp {
    left: -20px;
    position: relative;
    width: calc(100% + 40px);
	flex-wrap: wrap;
}
.file-area-ftp {
	cursor: pointer;
	min-width: 100%;
	max-width: 100%;
	box-sizing: border-box;
	list-style: none;
}
.ul-ftp-vuoto > .file-area-ftp {
	cursor: default;
}
@media(min-width:600px) {
	.file-area-ftp {
        min-width: 50%;
        max-width: 50%;
	}
}
@media(min-width:800px) {
	.file-area-ftp {
        min-width: 33.3333333%;
        max-width: 33.3333333%;
	}
}
@media(min-width:1000px) {
	.file-area-ftp {
        min-width: 25%;
        max-width: 25%;
	}
}
.file-area-ftp > .fuori {
    position: relative;
    margin: 20px;
    display: block;
}
.file-area-ftp .sopra {
    display: flex;
    flex-direction: column;
    background-color:var(--tancredi-grigio);
}
span.immagine-ftp.remoto {
    background-size: auto;
}
span.immagine-ftp {
    background-repeat: no-repeat;
    background-position: center;
    display: block;
}
.immagine-ftp:after {
    display: block;
    content: '';
    padding-bottom: 100%;
}
.immagine-ftp {
    width: 100%;
}
body.cartella-ftp .nome-e-check {
    display: flex;
    margin-top: 5px;
}

.nome-e-check {
    overflow: hidden;
}
.checkbox_ftp {
    position: relative;
    z-index: 8000;
    display: block;
}
.checkbox_ftp input {
    z-index: 8000;
    margin-left: 0;
}
.nome_doc_ftp {
    word-wrap: anywhere;
    display: flex;
    align-items: center;
    margin-left: 5px;
}
.file-area-ftp .sotto > span {
    display: block;
    word-break: break-all;
}
body.cartella-ftp span.size_doc_ftp {
    white-space: nowrap;
    margin-left: 10px;
}
.ftp-cruscotto > div.ftp-selezionati {
    flex: 3;
}
body.cartella-ftp #ftp-pulsante-carrello.attivo {
    cursor: pointer;
    pointer-events: initial;
    opacity: 1;
}
body.cartella-ftp #ftp-pulsante-carrello.attivo > span {
	color: var(--tancredi-bianco);
}
.corpo-cartella-ftp > form {
	display: flex;
	flex-direction: column;
}
.corpo-cartella-ftp p.ftp-messaggio-effimero {
	font-size: x-large;
	padding-top: var(--tancredi-spazio-medio);
	padding-bottom: var(--tancredi-spazio-medio);
	padding-left:var(--tancredi-grondaia-media);
	padding-right:var(--tancredi-grondaia-media);
	border: 1px solid var(--tancredi-colore1);
	margin-bottom: var(--tancredi-spazio-medio);
	line-height: 1.2;
}
.corpo-cartella-ftp span.ftp-avvolgi-size-conteggio {
	min-width: 100%;
	display: flex;
	justify-content: flex-start;
}
.corpo-cartella-ftp .ftp-testata-carrello {
	display: flex;
	align-items: center;
	margin-bottom: 10px;
	flex-direction: column;
	margin-bottom: var(--tancredi-spazio-medio);
    margin-top: var(--tancredi-spazio-medio);
}
.corpo-cartella-ftp .ftp-conteggio-carrello,
.corpo-cartella-ftp .ftp-size-carrello {
	margin-right: 20px;
	}
form#ftp-form-scarica-zip {
	min-width: 100%;
}
#ftp-pulsante-scarica-zip {
	margin-left: 0;
	cursor: pointer;
	display: flex;
	align-items: center;
}
.corpo-cartella-ftp .ftp-svuota-carrello {
	min-width: 100%;
	display: flex;
	align-items: center;
	flex: 1;
	justify-content: flex-end;
}
.ftp-svuota-carrello > .ftp-icona-svuota {
    margin-left: 20px;
}
.ftp-svuota-carrello > .ftp-icona-svuota,
.ftp-rimuovi-dal-carrello > a {
	height: 15px;
	width: 15px;
}
@media(min-width:800px) {
	.ftp-svuota-carrello > .ftp-icona-svuota,
	.ftp-rimuovi-dal-carrello > a {
		height: 30px;
		width: 30px;
		}
	.corpo-cartella-ftp span.ftp-avvolgi-size-conteggio,
	.corpo-cartella-ftp .ftp-svuota-carrello {
		min-width: 0;
	}
	.corpo-cartella-ftp .ftp-testata-carrello {
		flex-direction: row;
	}
	form#ftp-form-scarica-zip {
		min-width: 0;
	}
	#ftp-pulsante-scarica-zip {
		margin-left: 5px;
	}
}
.corpo-cartella-ftp .ftp-icona-scarica-carrello {
	display: inline-block;
	background-image: url(img/down-zip.png);
	background-repeat: no-repeat;
	background-size: 100%;
	width: 30px;
	height: 30px;
	background-size: contain;
}
.corpo-cartella-ftp .ftp-testo-scarica-carrello,
.corpo-cartella-ftp .ftp-svuota-carrello > a {
    border-bottom: 2px solid transparent;
}
.corpo-cartella-ftp .ftp-testo-scarica-carrello:hover,
.corpo-cartella-ftp .ftp-svuota-carrello > a:not(.ftp-icona-svuota):hover {
    border-bottom-color: var(--tancredi-nero);
}
#ftp-messaggio-download-iniziato {
	color: var(--tancredi-colore1);
	text-transform: uppercase;
	font-size: 15px;
	font-weight: 800;
	display: none;
}
.ftp-elenco-carrello > li {
	display: flex;
	align-items: center;
	padding-bottom: 26px;
	}
.corpo-cartella-ftp .ftp-immagine-carrello {
	background-repeat: no-repeat;
	background-size: contain;
	background-position: left;
	width: 40px;
	height: 40px;
	min-width: 40px;
	margin-right: 10px;
}
@media(min-width:800px) {
	.corpo-cartella-ftp .ftp-immagine-carrello {
		width: 60px;
		height: 60px;
		min-width: 60px;
		margin-right: 20px;
	}
}
.corpo-cartella-ftp .ftp-nome-carrello, 
.corpo-cartella-ftp .ftp-size-carrello {
	margin-right: 20px;
}
.ftp-nome-carrello > p {
	word-break: break-all;
}
.ftp-size-carrello > p {
	white-space: nowrap;
}
.corpo-cartella-ftp .ftp-rimuovi-dal-carrello {
	flex: 1;
	text-align: right;
}
.corpo-cartella-ftp .ftp-rimuovi-dal-carrello > a, 
.corpo-cartella-ftp .ftp-icona-svuota {
	display: inline-block;
	background-image: url(img/rimuovi_dal_carrello.png);
	background-repeat: no-repeat;
	background-size: 100%;
}
#ftp-vero-pulsante-scarica-zip {
	visibility: hidden;
	height: 0;
}
.corpo-cartella-ftp .ftp-svuota-carrello > a {
    text-decoration: none;
}
#ftp-form-scarica-zip {
	display:flex;
}
form.ftp-form-esci {
}
aside.ftp-benvenuto {
	display: flex;
	justify-content: flex-end;
	align-items: center;
}
.corpo-cartella-ftp input[type='submit']:hover,
.corpo-cartella-ftp input[type='button']:hover {
	text-decoration:underline;
}
.corpo-cartella-ftp input[type='submit'],
.corpo-cartella-ftp input[type='button'] {
	border: 0;
	background: transparent;
	cursor: pointer;
}
form.ftp-form-esci input {
	margin-left: 6px;
}
.corpo-cartella-ftp input[type='submit'] {
    border: 1px solid var(--tancredi-nero);
    padding: 3px 15px;
}
.corpo-cartella-ftp {
	display: flex;
	flex-direction: column;
}

.sezione-ftp form {
	padding-top: var(--tancredi-spazio-medio);
	padding-bottom: var(--tancredi-spazio-medio);
	padding-left: var(--tancredi-grondaia-media);
	padding-right: var(--tancredi-grondaia-media);
	border: 1px solid var(--tancredi-colore1);
	margin-bottom: var(--tancredi-spazio-medio);
	line-height: 1.2;
}
div.sezione-ftp form > *:nth-last-child(1) {
    margin-bottom: 0;
}
div.sezione-ftp form > * {
    margin-bottom: var(--tancredi-spazio-piccolo);
}
div.sezione-ftp > p {
    margin-bottom: var(--tancredi-spazio-medio);
}
.sezione-ftp form.ftp-form-esci, 
form#ftp-form-scarica-zip {
	padding: 0;
	margin: 0;
	border: 0;
}
.ftp-cruscotto,
.ftp-testata-carrello {
    border-top: 1px solid var(--tancredi-colore1);
    padding-top: var(--tancredi-spazio-piccolo);
}
aside.ftp-benvenuto > p {
    margin: 0;
}

div.ftp-notifiche-push {
	display:flex;
	flex-direction:column;
}

p.dismetti-notifica {
	cursor:pointer;
}
p.dismetti-notifica:hover {
	text-decoration:underline;
}
.ftp-notifiche-push > div {
    border: 3px solid var(--tancredi-colore1);
    padding: 26px;
    margin-bottom: var(--tancredi-spazio-medio);
}
.ftp-notifiche-push > div > div {
	display: flex;
	min-width: 100%;
}
.ftp-notifiche-push > div > div > * {
	flex:1;
}
.ftp-notifiche-push > div > div > aside > p {
    text-align: right;
}
.ftp-notifiche-push > div > div > aside > p {
    font-size: smaller;
}
.ftp-notifiche-push article {
    margin-bottom: var(--tancredi-spazio-piccolo);
    font-size: large;
}
.ftp-notifiche-push > div > div > h2 {
    font-size: medium;
}
p.dismetti-notifica {
    text-align: right;
}
.ftp-notifiche-push article > * {
    margin: var(--tancredi-spazio-piccolo) 0;
}
.ftp-notifiche-push article > h3 {
    font-size: small;
}
